Skip to content

Patch Investigation

Request

Updates an investigation by ID.

Operation ID: siem_patch_investigation

Security
BearerAuth
Path
idstringrequired

ID of the investigation to update.

Query
metaArray of strings

Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.

Bodyapplication/jsonrequired
Array [
opstring(PatchOp)required

The operation to perform. Supported values are add, copy, move, replace, remove, and test.

Enum:"add""copy""move""remove""replace""test"
pathstringrequired

The path to the field to update. The path is a JSON Pointer.

fromstring or null

The path to the field to copy from. This is required for copy and move operations.

valueany or null

The value to set the field to. This is required for add, replace and test operations.

]
curl
curl -i -X PATCH \
  'https://api.synqly.com/v1/siem/investigations/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string"
    }
  ]'

Responses

Bodyapplication/json
resultobject(Investigation)required

The investigation object

messagesobject or null(MessagesResponse)

Additional messages from the service response that may be helpful to the client.

metaobject or null(MetaResponse)

Various metadata about the results organized by group, then type, then field.

Response
{ "result": { "id": "string", "custom_fields": {}, "raw_data": "string" }, "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }